## com.google.gwt.user.client.ui
Interface HasWidgets

All Known Implementing Classes:
  DisclosurePanel, Panel, TabPanel, Tree

public interface HasWidgets

A widget that implements this interface contains `widgets` and can enumerate them.

Method Summary
`void` `add(Widget w)` Adds a child widget.
`void` `clear()` Removes all child widgets.
`java.util.Iterator` `iterator()` Gets an iterator for the contained widgets.
`boolean` `remove(Widget w)` Removes a child widget.

Method Detail

### add

    public void add(Widget w)

  Adds a child widget.

  Parameters:
    `w` - the widget to be added
  Throws:
    `java.lang.UnsupportedOperationException` - if this method is not supported (most often this means that a specific overload must be called)

### clear

    public void clear()

  Removes all child widgets.

### iterator

    public java.util.Iterator iterator()

  Gets an iterator for the contained widgets. This iterator is required to implement `Iterator.remove()`.

### remove

    public boolean remove(Widget w)

  Removes a child widget.

  Parameters:
    `w` - the widget to be removed
  Returns:
    `true` if the widget was present